# Fetch video archive urls

`GET /omni/get/archives`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetch URLs of video archives from given 'interviewId' or if omitted for given 'since' timestamp. If not provided,
'since' will be defaulted to time of first created archive. The maximum fetch size is 1000. In case maximum fetch size
is reached, a new fetch should be triggered, using 'startTime' of last record from previous fetch as 'since'. URLs returned are
temporary URLs, which expire in 5 days.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `interviewId` | query | string |  | In case this parameter is provided, 'since' is ignored, and response will contain single interview requested. |
| `since` | query | integer (int64) |  | Timestamp — beginning of export. If omitted, it will be defaulted to time of first created archive. |
| `api-version` | header | string | yes |  |

## Responses

### 200

- archives: Array of archive objects
    - interviewId: String. ID of interview.
    - name: String. Name of the user in conference call.
    - url: String. URL of archive file.
    - startTime: Long. Timestamp of archive creation.

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
